> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Session Profile Save



## OpenAPI

````yaml https://api.notte.cc/openapi.json post /sessions/{session_id}/profile/save
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.9.7
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: audit
    description: Audit trail of account and workspace changes.
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /sessions/{session_id}/profile/save:
    post:
      tags:
        - sessions
      summary: Session Profile Save
      operationId: session_profile_save
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            title: Session Id
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SessionProfileSaveRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples: []
components:
  schemas:
    SessionProfileSaveRequest:
      properties:
        profile_id:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Profile Id
          description: >-
            Existing profile to overwrite with the session's current browser
            state. Omit it together with name to save into the profile the
            session was started with.
        name:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Name
          description: >-
            Create a new profile with this name and save into it. Mutually
            exclusive with profile_id.
      additionalProperties: false
      type: object
      title: SessionProfileSaveRequest
    ProfileResponse:
      properties:
        profile_id:
          type: string
          title: Profile Id
          description: 'Profile ID (format: notte-profile-{16 hex chars})'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Profile name
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Profile creation timestamp
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Profile last update timestamp
        persisted_domains:
          items:
            type: string
          type: array
          title: Persisted Domains
          description: >-
            List of domains with persisted browser state (cookies, localStorage,
            sessionStorage)
      type: object
      required:
        - profile_id
        - name
        - created_at
        - updated_at
      title: ProfileResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.